<?php
/***********************************************************************************

 設定ファイル

************************************************************************************/

// ゲームデータの保存場所
// ディレクトリを作成しPHPから書き込みが出きるようパーミッションを変更してください
define('SAVE_DIR', './dat/');
// ゲームデータのファイル名
define('FILE_NAME', 'kenran.dat');

// ゲームのタイトル
define('GAME_NAME', '火星の海');

// 最大参加者数
define('PLAYER_MAX', 10);


// 耐久力値
define('RB_DURABILITY', 400);

// 耐久力の回復
define('AUTO_REPAIR_TURN', 2); // ターン数
define('AUTO_REPAIR_PT', 40); // 回復量

// 最大機雷数
define('MINE_MAX', 8);
// 機雷の追加
define('AUTO_ADD_MINE_TURN', 4); // ターン数
// 機雷の有効ターン数
define('MINE_LIFE', 12);
// 最大魚雷数
define('TORPEDO_MAX', 5);
// 魚雷の追加
define('AUTO_ADD_TORPEDO_TURN', 5); // ターン数
// 魚雷の有効ターン
define('TORPEDO_LIFE', 8);

// トポロジーの初期範囲
define('MOBIL_RANGE_MIN', 10); // 機動 最小
define('MOBIL_RANGE_MAX', 35); // 機動 最大
define('DEPTH_RANGE_MIN', 10); // 深度 最小
define('DEPTH_RANGE_MAX', 35); // 深度 最大
define('SPEED_RANGE_MIN', 10); // 速度 最小
define('SPEED_RANGE_MAX', 35); // 速度 最大

// トポロジーの最大値
define('MOBIL_MAX', 100); // 機動
define('DEPTH_MAX', 70); // 深度
define('SPEED_MAX', 100); // 速度


// ダメージ量
define('CUTLASS_DAMAGE_MIN', 100); // 切りつけ 最小
define('CUTLASS_DAMAGE_MAX', 300); // 切りつけ 最大
define('MINE_DAMAGE_MIN', 300); // 機雷 最小
define('MINE_DAMAGE_MAX', 400); // 機雷 最大
define('TORPEDO_DAMAGE_MIN', 100); // 魚雷 最小
define('TORPEDO_DAMAGE_MAX', 200); // 魚雷 最大
define('CRASH_DAMAGE_MIN', 50); // 海底へ激突 最小
define('CRASH_DAMAGE_MAX', 100); // 海底へ激突 最大

define('SHIELD_MAX_DAMAGE', 40); // シールドMAX時


// 行動入力制限時間
define('INPUT_TIME_LIMIT', 60 * 5);

// ページの更新間隔（秒数）サーバへの負荷などを考えて設定してください
define('RELOAD_INTERVAL', 25);

// 撃墜ランキング数
define('KILL_SCORE_RANKING', 5);




/* ----------------------------- 基本設定ここまで ---------------------------- */







// 色の範囲
define('COLOR_RANGE_MIN', 50); // 最小
define('COLOR_RANGE_MAX', 230); // 最大

// ログの保存数
define('LOG_MAX', 30);

define('RADAR_SIZE', 200); // レーダーのサイズ

define('STR_ENCODE', 'UTF-8');
mb_internal_encoding(STR_ENCODE);

if(function_exists('date_default_timezone_set'))
	date_default_timezone_set('Asia/Tokyo'); // 使用するタイムゾーン

?>